## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# pointer_less< T > Struct Template Reference

List of all members.

## Public Types

- typedef std::binary_function<
  const T *, const T *, bool > BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::first_argument_type first_argument_type
- typedef BaseClassType::second_argument_type second_argument_type

## Public Member Functions

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const

### template<class T>
struct pointer_less< T >

## Member Typedef Documentation

template<class T>
typedef std::binary_function<const T*, const T*, bool> pointer_less< T >::BaseClassType

template<class T>
typedef BaseClassType::first_argument_type pointer_less< T >::first_argument_type

template<class T>
typedef BaseClassType::result_type pointer_less< T >::result_type

template<class T>
typedef BaseClassType::second_argument_type pointer_less< T >::second_argument_type

## Member Function Documentation

template<class T>
result_type pointer_less< T >::operator() | ( | first_argument_type | theLHS,
|  | second_argument_type | theRHS
| ) | const

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.